Get Chat
curl --request GET \
--url https://api.peec.ai/customer/v1/chats/{chat_id}/content \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.peec.ai/customer/v1/chats/{chat_id}/content"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.peec.ai/customer/v1/chats/{chat_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peec.ai/customer/v1/chats/{chat_id}/content",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.peec.ai/customer/v1/chats/{chat_id}/content"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.peec.ai/customer/v1/chats/{chat_id}/content")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peec.ai/customer/v1/chats/{chat_id}/content")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "ch_61184892-36ad-4e1a-8178-3a83608f7711",
"prompt": {
"id": "pr_93f790de-5b7a-45ee-b782-61103c81f20d"
},
"model": {
"id": "gpt-4o-search"
},
"model_channel": {
"id": "openai-1"
},
"sources": [
{
"url": "https://peec.ai/blog#header",
"url_normalized": "peec.ai/blog",
"urlNormalized": "peec.ai/blog",
"domain": "peec.ai",
"citation_count": 123,
"citationCount": 123,
"citation_position": 123,
"citationPosition": 123
}
],
"links": [
{
"url": "https://www.acme.com/",
"url_normalized": "acme.com",
"domain": "acme.com",
"text": "Acme",
"link_count": 123,
"link_position": 123
}
],
"brands_mentioned": [
{
"id": "kw_915e742b-396d-4a86-ad57-8bc84e8c2232",
"name": "Peec AI",
"position": 123
}
],
"messages": [
{
"role": "user",
"content": "Example Prompt"
},
{
"role": "assistant",
"content": "Example Response"
}
],
"queries": [
"best AI search tools 2026"
],
"products": [
{
"name": "Peec AI Pro",
"queries": [
"buy Peec AI Pro online"
]
}
],
"features": [
"SHOPPING"
],
"maps": [
{
"name": "J&F Drainage",
"url": "https://www.google.com/maps/dir/?api=1&destination=53.850994%2C-3.009608"
}
],
"ads": [
{
"brand_name": "Whoop",
"brandName": "Whoop",
"url": "https://www.whoop.com/",
"cards": [
{
"title": "Win Your Routine",
"body": "Daily guidance for your goals",
"image_url": "https://bzrcdn.openai.com/<hash>.png",
"imageUrl": "https://bzrcdn.openai.com/<hash>.png",
"target_url": "https://join.whoop.com/chatgpt4/?utm_source=chatgpt&utm_medium=cpc",
"targetUrl": "https://join.whoop.com/chatgpt4/?utm_source=chatgpt&utm_medium=cpc"
}
],
"id": "697cd903185c819684793d8936700e6f",
"ad_unit_type": "single_advertiser_ad_unit",
"adUnitType": "single_advertiser_ad_unit",
"ads_request_id": "069eb308-ae3b-7ae5-8000-641914dcb9b0",
"adsRequestId": "069eb308-ae3b-7ae5-8000-641914dcb9b0"
}
]
}{
"message": "<string>"
}Project
Get Chat
Get a single chat
GET
/
chats
/
{chat_id}
/
content
Get Chat
curl --request GET \
--url https://api.peec.ai/customer/v1/chats/{chat_id}/content \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.peec.ai/customer/v1/chats/{chat_id}/content"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.peec.ai/customer/v1/chats/{chat_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peec.ai/customer/v1/chats/{chat_id}/content",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.peec.ai/customer/v1/chats/{chat_id}/content"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.peec.ai/customer/v1/chats/{chat_id}/content")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peec.ai/customer/v1/chats/{chat_id}/content")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "ch_61184892-36ad-4e1a-8178-3a83608f7711",
"prompt": {
"id": "pr_93f790de-5b7a-45ee-b782-61103c81f20d"
},
"model": {
"id": "gpt-4o-search"
},
"model_channel": {
"id": "openai-1"
},
"sources": [
{
"url": "https://peec.ai/blog#header",
"url_normalized": "peec.ai/blog",
"urlNormalized": "peec.ai/blog",
"domain": "peec.ai",
"citation_count": 123,
"citationCount": 123,
"citation_position": 123,
"citationPosition": 123
}
],
"links": [
{
"url": "https://www.acme.com/",
"url_normalized": "acme.com",
"domain": "acme.com",
"text": "Acme",
"link_count": 123,
"link_position": 123
}
],
"brands_mentioned": [
{
"id": "kw_915e742b-396d-4a86-ad57-8bc84e8c2232",
"name": "Peec AI",
"position": 123
}
],
"messages": [
{
"role": "user",
"content": "Example Prompt"
},
{
"role": "assistant",
"content": "Example Response"
}
],
"queries": [
"best AI search tools 2026"
],
"products": [
{
"name": "Peec AI Pro",
"queries": [
"buy Peec AI Pro online"
]
}
],
"features": [
"SHOPPING"
],
"maps": [
{
"name": "J&F Drainage",
"url": "https://www.google.com/maps/dir/?api=1&destination=53.850994%2C-3.009608"
}
],
"ads": [
{
"brand_name": "Whoop",
"brandName": "Whoop",
"url": "https://www.whoop.com/",
"cards": [
{
"title": "Win Your Routine",
"body": "Daily guidance for your goals",
"image_url": "https://bzrcdn.openai.com/<hash>.png",
"imageUrl": "https://bzrcdn.openai.com/<hash>.png",
"target_url": "https://join.whoop.com/chatgpt4/?utm_source=chatgpt&utm_medium=cpc",
"targetUrl": "https://join.whoop.com/chatgpt4/?utm_source=chatgpt&utm_medium=cpc"
}
],
"id": "697cd903185c819684793d8936700e6f",
"ad_unit_type": "single_advertiser_ad_unit",
"adUnitType": "single_advertiser_ad_unit",
"ads_request_id": "069eb308-ae3b-7ae5-8000-641914dcb9b0",
"adsRequestId": "069eb308-ae3b-7ae5-8000-641914dcb9b0"
}
]
}{
"message": "<string>"
}Query Parameters
Response
Success
Success
